<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.dialog.external-navigation-consent.title'"
  [dialogId]="EXTERNAL_NAVIGATION_CONSENT_DIALOG_ID"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="exclamation-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#FAAD14'"
      ></i>
      <div>
        <div>
          {{
            'sqtm-core.dialog.external-navigation-consent.message1' | translate
          }}
        </div>
        <div class="external-url" data-test-element-id="external-url">
          {{ dialogReference.data.url }}
        </div>
        <div>
          {{
            'sqtm-core.dialog.external-navigation-consent.message2' | translate
          }}
        </div>
        <div class="m-t-10 m-b-5">
          <span nz-checkbox [(ngModel)]="dontAskAgain">
            {{ dontAskAgainLabel }}
          </span>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'confirm'"
      class="flex-fixed-size"
      nz-button
      nzType="primary"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.confirm' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
